Subject: Re: Compiling git-snapshot-20069831

From: Jorma Karvonen <[email-masked]>
Date: Thu, 31 Aug 2006 19:59:03 +0300

Johannes Schindelin wrote:
> Hi,
>
> On Thu, 31 Aug 2006, Jorma Karvonen wrote:
>
>   
>> Johannes Schindelin wrote:
>>     
>>> Hi,
>>>
>>> since you do have a recent snapshot, why not try ./configure, as Pasky
>>> suggested?
>>>
>>> BTW I cannot read Finnish, but it probably says that you do not have curl
>>> installed. configure would detect that, and automatically set NO_CURL=1.
>>>
>>> Ciao,
>>> Dscho
>>>
>>>
>>>   
>>>       
>> Sorry,
>>
>> but I have not any git installed and there is no configure file in installing
>> directory.
>>     
>
> Ooops. As mentioned elsewhere, try "make configure" first.
>
>   
I tried

make configure

and got an error message:

/bin/sh: curl-config: command not found
make: **** No rule to make target `configure'. Stop.

Then I tried

make NEEDS_LIBICONV=1 NO_CURL=1 configure

and error message was: make: **** No rule to make target `configure'. Stop.
> This would not be necessary with ./configure, since it writes these 
> settings into a file, which is read by "make".
>
> Ciao,
> Dscho
>
>
>
>